Name:          libtermcap
Version:       2.0.8
Release:       6mamba
Summary:       A basic system library for accessing the termcap database
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@openmamba.org>
URL:           ftp://metalab.unc.edu/pub/Linux/GCC/
Source:        termcap-%{version}.tar.gz
Patch:         termcap-fix-glibc-2.2.patch.bz2
License:       LGPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
The libtermcap package contains a basic system library needed to access the termcap database.
The termcap library supports easy access to the termcap database, so that programs can output character-based displays in a terminal-independent manner.

%package devel
Summary:       Development tools for programs which will access the termcap database
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
This package includes the libraries and header files necessary for developing programs which will access the termcap database.

If you need to develop programs which will access the termcap database, you'll need to install this package.
You'll also need to install the libtermcap package.

%prep
%setup -q -n termcap-%{version}
%patch0 -p0
sed -i "s|/lib\([^[:alpha:]]*\)|/%_lib\1|g" Makefile

%build
%make CC=%{_target_platform}-gcc

sed -i "s|ldconfig;|true;|" Makefile

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}
%makeoldinstall OWNER=`id -u`.`id -g` CC=%{_target_platform}-gcc
ln -sf %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so
ln -sf %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so.2

rm -f %{buildroot}%{_includedir}/termcap.h

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(-,bin,bin) %{_libdir}/libtermcap.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libtermcap.a
%{_libdir}/libtermcap.so

%changelog
* Fri Mar 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.8-6mamba
- install symlink libtermcap.so.2

* Wed Jun 18 2008 Tiziana Ferro <tiziana.ferro@email.it> 2.0.8-5mamba
- update Vendor, Distribution and Packager
- add buildrequirements

* Wed May 24 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.8-4qilnx
- fixed package group

* Fri Oct 21 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.0.8-3qilnx
- termcap header removed because confict with libncurses-devel

* Tue Oct 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.8-2qilnx
- rebuilt (binary RPMs were missing)

* Tue Apr 29 2003 Mirko Cortillaro <mirko.cortillaro@qinet.it> 2.0.8-qilnx
- write a spec file for libtermcap
